| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Enumerations
datectrl.h File Reference

## Classes

class | wxDatePickerCtrl
| This control allows the user to select a date. More...

## Enumerations

enum | { wxDP_DEFAULT = 0, wxDP_SPIN = 1, wxDP_DROPDOWN = 2, wxDP_SHOWCENTURY = 4, wxDP_ALLOWNONE = 8 }
| wxDatePickerCtrl styles More...

## Enumeration Type Documentation

anonymous enum

wxDatePickerCtrl styles

Enumerator
wxDP_DEFAULT | default style on this platform, either wxDP_SPIN or wxDP_DROPDOWN
wxDP_SPIN | a spin control-like date picker (not supported in generic version)
wxDP_DROPDOWN | a combobox-like date picker (not supported in mac version)
wxDP_SHOWCENTURY | always show century in the default date display (otherwise it depends on the system date format which may include the century or not)
wxDP_ALLOWNONE | allow not having any valid date in the control (by default it always has some date, today initially if no valid date specified in ctor)